Britive platform release 2026.09.02 is now live in production.

Get presigned URL for verification template

Prev Next
Get
/api/resource-manager/resource-types/{resourceTypeId}/verification-templates/presigned-url

Get presigned PUT URL for uploading the secret verification script file for a specific template

Security
HTTP
Type bearer
Path parameters
resourceTypeId
stringRequired

ID of the resource type

Query parameters
templateId
stringRequired

ID of the verification template

Responses
200

Presigned URL retrieved successfully

Expand All
object
id
string

ID of the verification template (auto-generated, optional in request)

resourceTypeId
string

ID of the resource type (auto-populated, optional in request)

resourceType
string

Name of the resource type (auto-populated, optional in request)

verificationTemplateName
string

Name of the verification template (required in request)

Max length256
verificationTemplateDesc
string

Description of the verification template

Max length1048
scriptName
string

Name of the secret verification script (required if isLocal is false)

Max length128
timeoutLimit
integer

Timeout limit in seconds

variables
Array of object (VerificationTemplateVariableDto)

Array of variables for the verification template

object
name
string

Name of the variable

type
string

Type of the variable (hardcoded to 'string' for now)

Default"string"
multivalued
boolean

Whether the variable can have multiple values

Defaultfalse
inlineFile
boolean

Whether the script is inline or uploaded as a file

editorType
string

Type of editor (e.g., 'yaml', 'json', 'bash')

Max length10
isLocal
boolean

Whether the verification template script is local. If true, scriptName can be empty.

presignedUrl
string

Presigned URL for uploading/downloading the secret verification script file (auto-populated in response, not used in request)

createdOn
string

Creation timestamp (auto-populated in response, not used in request)

createdBy
string

Name of user who created the template (auto-populated in response, not used in request)

updatedOn
string

Last update timestamp (auto-populated in response, not used in request)

updatedBy
string

Name of user who last updated the template (auto-populated in response, not used in request)

400

Bad Request - script name missing or file is inline

404

Resource type or verification template settings not found